Page MenuHomePhabricator

Add element-atomic mem intrinsic canary tests for Thread Sanitizer.
AbandonedPublic

Authored by dneilson on Jul 17 2017, 2:33 PM.

Details

Reviewers
reames
Summary

Add canary tests to verify that TSAN currently does not lower the element atomic memory intrinsics for memcpy, memmove, and memset.

Placeholder tests that will fail once element atomic @llvm.mem[cpy|move|set] instrinsics have been added to the MemIntrinsic class hierarchy. These will act as a reminder to verify that MSAN handles these intrinsics properly once they have been added to that class hierarchy.

Event Timeline

dneilson created this revision.Jul 17 2017, 2:33 PM
reames accepted this revision.Aug 25 2017, 3:40 PM
This revision is now accepted and ready to land.Aug 25 2017, 3:40 PM
dneilson abandoned this revision.May 29 2018, 2:13 PM